org.apache.avro.mapred

## Class AvroValue<T>

- java.lang.Object
- - org.apache.avro.mapred.AvroWrapper<T>
  - - org.apache.avro.mapred.AvroValue<T>

    public class AvroValue<T>
    extends AvroWrapper<T>

The wrapper of values for jobs configured with `AvroJob` .

### Constructor Summary

Constructors
Constructor and Description
`AvroValue()` Wrap null.
`AvroValue(T datum)` Wrap a value.

### Method Summary

### Methods inherited from class org.apache.avro.mapred.AvroWrapper

`datum, datum, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AvroValue

    public AvroValue()

Wrap null. Construct `AvroValue` wrapping no value.

#### AvroValue

    public AvroValue(T datum)

Wrap a value.